[arch-commits] Commit in valgrind/trunk (PKGBUILD)

Levente Polyak anthraxx at archlinux.org
Wed Jul 22 20:19:42 UTC 2020


    Date: Wednesday, July 22, 2020 @ 20:19:41
  Author: anthraxx
Revision: 392378

upgpkg: valgrind 3.16.1-1

Modified:
  valgrind/trunk/PKGBUILD

----------+
 PKGBUILD |   81 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 40 insertions(+), 41 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2020-07-22 20:10:16 UTC (rev 392377)
+++ PKGBUILD	2020-07-22 20:19:41 UTC (rev 392378)
@@ -3,8 +3,7 @@
 # Contributor: Allan McRae <allan at archlinux.org>
 
 pkgname=valgrind
-_commit=d772e25995c3400eecf2b6070e0bf3411447c3d1
-pkgver=3.15.0+269+gd772e2599
+pkgver=3.16.1
 pkgrel=1
 pkgdesc='Tool to help find memory-management problems in programs'
 arch=('x86_64')
@@ -11,7 +10,7 @@
 license=('GPL')
 url='http://valgrind.org/'
 depends=('glibc' 'perl')
-makedepends=('gdb' 'lib32-glibc' 'lib32-gcc-libs' 'git' 'docbook-xml'
+makedepends=('gdb' 'lib32-glibc' 'lib32-gcc-libs' 'docbook-xml'
              'docbook-xsl' 'docbook-sgml')
 checkdepends=('procps-ng')
 optdepends=('lib32-glibc: 32-bit ABI support')
@@ -18,20 +17,20 @@
 provides=('valgrind-multilib')
 replaces=('valgrind-multilib')
 options=('!emptydirs' '!strip')
-source=("git+https://repo.or.cz/valgrind.git#commit=$_commit"
+source=(https://sourceware.org/pub/valgrind/valgrind-${pkgver}.tar.bz2{,.asc}
         valgrind-3.7.0-respect-flags.patch)
-md5sums=('SKIP'
-         '470d9881870aacc210b7a6efb64cc9a9')
-sha512sums=('SKIP'
+validpgpkeys=(
+  0E9FFD0C16A1856CF9C7C690BA0166E698FA6035 # Julian Seward <jseward at acm.org>
+)
+sha512sums=('2a4173efe1b6facdd2f5c5ee8ed006704168eba1813736fccc8191d60363afd96197512cf42037e65f18d4ddd49adc74a54c47210df216fba3c46bf68ef0f950'
+            'SKIP'
             'e0cec39381cefeca09ae4794cca309dfac7c8693e6315e137e64f5c33684598726d41cfbb4edf764fe985503b13ff596184ca5fc32b159d500ec092e4cf8838c')
+b2sums=('1c333c26827f7a8356869e8758da9dd6a7444642ac4f6377c84fdab8349b9cee1e9bf2cf2eb86043c4feffab342dd97da20e76d7566d0296189e6ea8483a8c65'
+        'SKIP'
+        'af556fdf3c02e37892bfe9afebc954cf2f1b2fa9b75c1caacfa9f3b456ebc02bf078475f9ee30079b3af5d150d41415a947c3d04235c1ea8412cf92b959c484a')
 
-pkgver() {
-  cd valgrind
-  git describe --tags --always|sed -e 's|-|+|g' -e 's|VALGRIND_||g' -e 's|_|.|g'
-}
-
 prepare() {
-  cd valgrind
+  cd valgrind-${pkgver}
   patch -Np1 < ../valgrind-3.7.0-respect-flags.patch
   sed -i 's|sgml/docbook/xsl-stylesheets|xml/docbook/xsl-stylesheets-1.79.2|' docs/Makefile.am
 
@@ -44,7 +43,7 @@
   CFLAGS=${CFLAGS/-fno-plt/}
   CXXFLAGS=${CXXFLAGS/-fno-plt/}
 
-  cd valgrind
+  cd valgrind-${pkgver}
   ./configure \
     --prefix=/usr \
     --sysconfdir=/etc \
@@ -56,7 +55,7 @@
 }
 
 check() {
-  cd valgrind
+  cd valgrind-${pkgver}
 
   # Make sure a basic binary runs. There should be no errors.
   ./vg-in-place --error-exitcode=1 /bin/true
@@ -65,36 +64,36 @@
   # sets all flags necessary. See also configure above.
   make check CPPFLAGS= CFLAGS= CXXFLAGS= LDFLAGS=
 
-  # # XXX: run full regtest but only report issues some tests fail duo
-  # # current toolchain and expectations, take a manual look if its fine
-  # echo "===============TESTING==================="
-  # make regtest || :
+  # XXX: run full regtest but only report issues some tests fail duo
+  # current toolchain and expectations, take a manual look if its fine
+  #echo "===============TESTING==================="
+  #make regtest || true
 
-  # # Make sure test failures show up in build.log
-  # # Gather up the diffs (at most the first 20 lines for each one)
-  # local f max_lines=20 diff_files=()
-  # mapfile -d '' diff_files < <(find . -name '*.diff' -print0 | sort -z)
-  # if (( ${#diff_files[@]} == 0 )); then
-  #   echo "Congratulations, all tests passed!"
-  # else
-  #   warning "Some tests failed!"
-  #   for f in "${diff_files[@]}"; do
-  #       echo "================================================="
-  #       echo "${f}"
-  #       echo "================================================="
-  #       if (( $(wc -l < "${f}") < ${max_lines} )); then
-  #         cat "${f}"
-  #       else
-  #         head -n ${max_lines} "${f}"
-  #         echo "<truncated beyond ${max_lines} lines>"
-  #       fi
-  #   done | tee diffs
-  # fi
-  # echo "===============END TESTING==============="
+  # Make sure test failures show up in build.log
+  # Gather up the diffs (at most the first 20 lines for each one)
+  #local f max_lines=20 diff_files=()
+  #mapfile -d '' diff_files < <(find . -name '*.diff' -print0 | sort -z)
+  #if (( ${#diff_files[@]} == 0 )); then
+    #echo "Congratulations, all tests passed!"
+  #else
+    #warning "Some tests failed!"
+    #for f in "${diff_files[@]}"; do
+        #echo "================================================="
+        #echo "${f}"
+        #echo "================================================="
+        #if (( $(wc -l < "${f}") < ${max_lines} )); then
+          #cat "${f}"
+        #else
+          #head -n ${max_lines} "${f}"
+          #echo "<truncated beyond ${max_lines} lines>"
+        #fi
+    #done | tee diffs
+  #fi
+  #echo "===============END TESTING==============="
 }
 
 package() {
-  cd valgrind
+  cd valgrind-${pkgver}
   make DESTDIR="${pkgdir}" install
 
   install -Dm644 docs/*.1 -t "$pkgdir/usr/share/man/man1"



More information about the arch-commits mailing list